﻿<ui:AppliUserControl
    xmlns:ui="clr-namespace:Appli.Model.Class.UI"
    x:Class="Appli.Views.Preparation"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             xmlns:local="clr-namespace:Appli.Views"
             mc:Ignorable="d" 
             DataContext="{Binding RelativeSource={RelativeSource Self}}">
    <StackPanel Margin="20">
        <Label  HorizontalAlignment="Center"  FontSize="30">Préparation</Label>
        <Button x:Name="BtnNextOrder" Margin="10" Content="Charger la prochaine commande" HorizontalAlignment="Left"  Click="BtnNextOrder_OnClick" IsEnabled="{Binding CanChangeOrder}"/>
        <StackPanel Orientation="Horizontal" HorizontalAlignment="Stretch" Margin="50,0,20,0">
            <TextBox  x:Name="CbCommande"  materialDesign:HintAssist.Hint="Code Barre Commande" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                      MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers" DataObject.Pasting="TextBoxPastingOnlyNumbers"
                      Style="{DynamicResource MaterialDesignFloatingHintTextBox}"/>
            <Button x:Name="Start" Content="Commencer" Width="100" Height="25" Margin="10,0,0,0" Padding="0" Click="Search_Click"/>
            <TextBlock x:Name="MessageStart" Text="" Margin="10,0,0,0" Padding="0" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"/>
        </StackPanel>
        <StackPanel Orientation="Horizontal" HorizontalAlignment="Stretch" Margin="50,0,20,0">
            <TextBox  x:Name="CbArticle"  materialDesign:HintAssist.Hint="Code Barre d'Article" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}" 
                      MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers" DataObject.Pasting="TextBoxPastingOnlyNumbers"
                      Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Margin="0,0,20,0"/>
            <TextBox  x:Name="CbAddress"  materialDesign:HintAssist.Hint="Code Barre d'Adresse" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}" 
                      MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers" DataObject.Pasting="TextBoxPastingOnlyNumbers"
                      Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Margin="0,0,20,0"/>
            <Button x:Name="Ok" Content="OK" Width="100" Height="25" Margin="0,0,20,0" Padding="0" Click="Validate_Click"/>
            <TextBlock x:Name="MessageOk" Text="" Margin="10,0,0,0" Padding="0" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"/>
        </StackPanel>
        <Grid>
            <DataGrid x:Name="GridPreparation"
                      AlternatingRowBackground="#404040"
                      Margin="0"
                      IsReadOnly="True"
                      HorizontalAlignment="Stretch"
                      VerticalAlignment="Stretch"
                      AutoGenerateColumns="False"
                      CanUserAddRows="False"
                      CanUserDeleteRows="False"
                      ItemsSource="{Binding ProductFloorsShowable,
                                            Mode=OneWay}"
                      SelectionMode="Single">
                <DataGrid.Columns>
                    <DataGridTextColumn Binding="{Binding Floor.Position.Row.Path.Store.Depository.Name}"
                                        Header="Depot"
                                        CanUserResize="False"
                                        IsReadOnly="True"
                                        Width="*"/>
                    <DataGridTextColumn Binding="{Binding Floor.Position.Row.Path.Store.Name}"
                                        Header="Magasin"
                                        CanUserResize="False"
                                        IsReadOnly="True" 
                                        Width="*"/>
                    <DataGridTextColumn Binding="{Binding Floor.Position.Row.Path.Name}"
                                        Header="Allée"
                                        CanUserResize="False"
                                        IsReadOnly="True" 
                                        Width="*"/>
                    <DataGridTextColumn Binding="{Binding Floor.Position.Row.Name}"
                                        Header="Rang"
                                        CanUserResize="False"
                                        IsReadOnly="True" 
                                        Width="*"/>
                    <DataGridTextColumn Binding="{Binding Floor.Position.Name}"
                                        Header="Position"
                                        CanUserResize="False"
                                        IsReadOnly="True" 
                                        Width="*"/>
                    <DataGridTextColumn Binding="{Binding Floor.Value}"
                                        Header="Niveau"
                                        CanUserResize="False"
                                        IsReadOnly="True" 
                                        Width="*"/>
                    <DataGridTextColumn Binding="{Binding Product.Wording}"
                                        Header="Produit"
                                        CanUserResize="False"
                                        IsReadOnly="True" 
                                        Width="*"/>
                    <DataGridTextColumn Binding="{Binding Quantity}"
                                        Header="Quantité"
                                        CanUserResize="False"
                                        IsReadOnly="True" 
                                        Width="*"/>
                </DataGrid.Columns>
            </DataGrid>
        </Grid>
        <Button x:Name="BtnPrint" Margin="10" Content="Imprimer" Click="BtnPrint_OnClick"/>
    </StackPanel>
</ui:AppliUserControl>
